#include <LiquidCrystal.h>
#include <Keypad.h>
LiquidCrystal lcd(8, 9, 4, 5, 6, 7);
#define passwordLength 4
int key = 0; 
int keyIn = 0;

char Data[passwordLength];
char Master[passwordLength] = "1543";
byte dataCount = 0;
char customKey;

const byte ROWS = 4;
const byte COLS = 3;

char hexaKeys[ROWS][COLS] = {
  {'1', '2', '3'},
  {'4', '5', '6'},
  {'7', '8', '9'},
  {'*', '0', '#'}
};

byte rowPins[ROWS] = {25, 26, 27, 28};
byte colPins[COLS] = {22, 23, 24};

//LCD Shield Analog Pins
#define right 0 
#define up 1 
#define down 2 
#define left 3 
#define select 4 
#define none 5 

//initialize an instance of class NewKeypad
Keypad customKeypad = Keypad(makeKeymap(hexaKeys), rowPins, colPins, ROWS, COLS);

void setup() {
  lcd.begin(16,2); 
  lcd.setCursor(0,0); 
  lcd.print("Passcode:"); 
  Serial.begin(9600);  
}

void loop() {
  customKey = customKeypad.getKey();

  if (customKey) {
    lcd.setCursor(9,0);
    lcd.print(customKey);
  }
  }
